Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeReservedInstancesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeReservedInstancesRequest

    public class DescribeReservedInstancesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeReservedInstances operation`.

The DescribeReservedInstances operation describes Reserved Instances that were purchased for use with your account.

See Also:
  `AmazonEC2.describeReservedInstances(DescribeReservedInstancesRequest)`

Constructor Summary
`DescribeReservedInstancesRequest()`

Method Summary
`List<String>` | `getReservedInstancesIds()` The optional list of Reserved Instance IDs to describe.
`void` | `setReservedInstancesIds(Collection<String> reservedInstancesIds)` The optional list of Reserved Instance IDs to describe.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeReservedInstancesRequest` | `withReservedInstancesIds(Collection<String> reservedInstancesIds)` The optional list of Reserved Instance IDs to describe.
`DescribeReservedInstancesRequest` | `withReservedInstancesIds(String... reservedInstancesIds)` The optional list of Reserved Instance IDs to describe.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeReservedInstancesRequest

    public DescribeReservedInstancesRequest()

Method Detail

### getReservedInstancesIds

    public List<String> getReservedInstancesIds()

  The optional list of Reserved Instance IDs to describe.

  Returns:
    The optional list of Reserved Instance IDs to describe.

### setReservedInstancesIds

    public void setReservedInstancesIds(Collection<String> reservedInstancesIds)

  The optional list of Reserved Instance IDs to describe.

  Parameters:
    `reservedInstancesIds` - The optional list of Reserved Instance IDs to describe.

### withReservedInstancesIds

    public DescribeReservedInstancesRequest withReservedInstancesIds(String... reservedInstancesIds)

  The optional list of Reserved Instance IDs to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstancesIds` - The optional list of Reserved Instance IDs to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withReservedInstancesIds

    public DescribeReservedInstancesRequest withReservedInstancesIds(Collection<String> reservedInstancesIds)

  The optional list of Reserved Instance IDs to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstancesIds` - The optional list of Reserved Instance IDs to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.